function AISMN_GoToRandomTeamBuilding::OnEnter(%this,%obj)
{
   if(SetPathForTeamBuilding(%obj))      
      GetThisObject(%obj).playThread( 0, "run");
	
	return;
}

function AISMN_GoToRandomTeamBuilding::OnExit(%this,%obj)
{
   GetThisObject(%obj).playThread( 0, "root");
	return;
}

function AISMN_GoToRandomTeamBuilding::Update(%this,%obj)
{
	if(!IsFollowingPath(%obj))
	   ReturnValue(%obj,0);
	return;
}